Get smart contract token information

Supports retrieving information for TRC-20, TRC-721, and TRC-1155 tokens.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Returns

FieldTypeDescription
data[i].contract_addressStringContract address.
data[i].symbolStringToken symbol.
data[i].nameStringToken name
data[i].decimalsStringToken decimals.
data[i].typeStringToken type.
data[i].total_supplyStringToken total supply.
successBooleanWhether the request was successful.
meta.atLongThe response timestamp. (Unit: millisecond)
meta.page_sizeIntegerThe number of items returned on the current page.
meta.fingerprintStringThe fingerprint for paginating to the next page.
meta.links.nextStringThe URL for the next page of results.
Query Params
string
required

You can provide one or more contract addresses, with a maximum limit of 20. If providing multiple addresses, use a comma (,) as a delimiter. Example: TG3XXyExBkPp9nzdajDZsozEu4BkaSJozs,TVMZYcbjpjaGqmciUjzuRWzANTXfHxrRCs

Response
200
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!